Bug 995973 - Sometimes can not create application successfully for ruby-1.8 / ruby-1.9/python-2.6 on INT
Sometimes can not create application successfully for ruby-1.8 / ruby-1.9/pyt...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 01:59 EDT by Wei Sun
Modified: 2015-05-14 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:50:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-08-12 01:59:28 EDT
Description of problem:
Try to create  ruby-1.8/ruby-1.9/python-2.6 app  ,but sometimes it failed.It returned "Unexpected error: CLIENT_ERROR: Malformed cartridge (ruby, 1.9, 0.0.5):
bin is not directory?".
But sometimes,can create the app successfully

Version-Release number of selected component (if applicable):
INT

How reproducible:
Sometimes

Steps to Reproduce:
1.Create a  ruby-1.8 app
2.Create a  ruby-1.9 app
3.Create a python-2.6 app

Actual results:
1.[wsun@dhcp-8-229 dev]$ rhc app-create r8 ruby-1.8
Application Options
-------------------
  Namespace:  wsun1int
  Cartridges: ruby-1.8
  Gear Size:  default
  Scaling:    no

Creating application 'r8' ... 
Unexpected error: CLIENT_ERROR: Malformed cartridge (ruby, 1.9, 0.0.5):
bin is not directory?

2.[wsun@dhcp-8-229 dev]$ rhc app-create r9 ruby-1.9
Application Options
-------------------
  Namespace:  wsun1int
  Cartridges: ruby-1.9
  Gear Size:  default
  Scaling:    no

Creating application 'r9' ... 
Unexpected error: CLIENT_ERROR: Malformed cartridge (ruby, 1.9, 0.0.5):
metadata is not directory?, bin is not directory?, metadata/manifest.yml is not file?

3.[wsun@dhcp-8-229 dev]$ rhc app-create py26 python-2.6 -l wsun+2@redhat.com -p redhat
Application Options
-------------------
  Namespace:  wsun2int
  Cartridges: python-2.6
  Gear Size:  default
  Scaling:    no

Creating application 'py26' ... 
Unexpected error: CLIENT_ERROR: Malformed cartridge (python, 2.6, 0.0.3):
bin is not directory?


Expected results:
Could create app successfully

Additional info:
Comment 2 Jhon Honce 2013-08-16 18:52:30 EDT
Fixed in https://github.com/openshift/origin-server/pull/3395
Comment 3 Wei Sun 2013-08-19 02:27:27 EDT
Will check this bug when INT has the same packages installed as devenv_3667
Comment 4 Lei Zhang 2013-08-19 06:48:59 EDT
Tried to create ruby-1.8/ruby-1.9/python-2.6 app many times on INT(devenv_3665), didn't reproduce this bug, so verified it.


[lijun@rayzhang Work]$ rhc app create myruby181 ruby-1.8 --no-git; rhc app create myruby191 ruby-1.9 --no-git; rhc app create mypython261 python-2.6  --no-git;
Application Options
-------------------
  Namespace:  ray
  Cartridges: ruby-1.8
  Gear Size:  default
  Scaling:    no

Creating application 'myruby181' ... done


Waiting for your DNS name to be available ... done

Your application 'myruby181' is now available.

  URL:        http://myruby181-ray.int.rhcloud.com/
  SSH to:     5211f6ce6cec0eb519001172@myruby181-ray.int.rhcloud.com
  Git remote: ssh://5211f6ce6cec0eb519001172@myruby181-ray.int.rhcloud.com/~/git/myruby181.git/

Run 'rhc show-app myruby181' for more details about your app.
Application Options
-------------------
  Namespace:  ray
  Cartridges: ruby-1.9
  Gear Size:  default
  Scaling:    no

Creating application 'myruby191' ... done


Waiting for your DNS name to be available ... done

Your application 'myruby191' is now available.

  URL:        http://myruby191-ray.int.rhcloud.com/
  SSH to:     5211f6ff6cec0eb519001188@myruby191-ray.int.rhcloud.com
  Git remote: ssh://5211f6ff6cec0eb519001188@myruby191-ray.int.rhcloud.com/~/git/myruby191.git/

Run 'rhc show-app myruby191' for more details about your app.
Application Options
-------------------
  Namespace:  ray
  Cartridges: python-2.6
  Gear Size:  default
  Scaling:    no

Creating application 'mypython261' ... done


Waiting for your DNS name to be available ... done

Your application 'mypython261' is now available.

  URL:        http://mypython261-ray.int.rhcloud.com/
  SSH to:     5211f7286cec0eb51900119e@mypython261-ray.int.rhcloud.com
  Git remote: ssh://5211f7286cec0eb51900119e@mypython261-ray.int.rhcloud.com/~/git/mypython261.git/

Run 'rhc show-app mypython261' for more details about your app.

Note You need to log in before you can comment on or make changes to this bug.